Subject: bug#36103: 24.5; Blank spaces around parentheses in history expansion in shell mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 08 May 2022 16:00:57 +0200

relson@osage writes:

> Within an emacs bash shell, using "!!" to re-execute a command with
> "$( ... )" in it results in a space inserted between the dollar sign
> and the left paren.  The inserted space should _not_ be present.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm unable to reproduce this in any Emacs versions I have (Emacs 25.1
and up):

Are you still seeing this problem in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no